Upsert a list member
curl --request PUT \
--url https://app.nex.ai/api/developers/v1/lists/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"parent_id": "32417546405832961",
"attributes": {
"source": "website",
"status": "new",
"score": 85,
"notes": "Qualified lead from demo request"
}
}
'import requests
url = "https://app.nex.ai/api/developers/v1/lists/{id}"
payload = {
"parent_id": "32417546405832961",
"attributes": {
"source": "website",
"status": "new",
"score": 85,
"notes": "Qualified lead from demo request"
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parent_id: '32417546405832961',
attributes: {
source: 'website',
status: 'new',
score: 85,
notes: 'Qualified lead from demo request'
}
})
};
fetch('https://app.nex.ai/api/developers/v1/lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.nex.ai/api/developers/v1/lists/{id}"
payload := strings.NewReader("{\n \"parent_id\": \"32417546405832961\",\n \"attributes\": {\n \"source\": \"website\",\n \"status\": \"new\",\n \"score\": 85,\n \"notes\": \"Qualified lead from demo request\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "32417546405832962",
"object_id": "32417546405832950",
"type": "person",
"workspace_id": "32417546405832945",
"created_at": "2024-01-20T16:45:00Z",
"updated_at": "2024-01-20T16:45:00Z",
"attributes": {
"name": {
"first_name": "Sarah",
"last_name": "Chen"
},
"email_addresses": [
"sarah@newstartup.com"
],
"job_title": "VP Engineering",
"source": "website",
"status": "new",
"score": 85,
"notes": "Qualified lead from demo request"
}
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Lists
Upsert a list member
Add record to a list or update its list-specific attributes if it already exists
PUT
/
v1
/
lists
/
{id}
Upsert a list member
curl --request PUT \
--url https://app.nex.ai/api/developers/v1/lists/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"parent_id": "32417546405832961",
"attributes": {
"source": "website",
"status": "new",
"score": 85,
"notes": "Qualified lead from demo request"
}
}
'import requests
url = "https://app.nex.ai/api/developers/v1/lists/{id}"
payload = {
"parent_id": "32417546405832961",
"attributes": {
"source": "website",
"status": "new",
"score": 85,
"notes": "Qualified lead from demo request"
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parent_id: '32417546405832961',
attributes: {
source: 'website',
status: 'new',
score: 85,
notes: 'Qualified lead from demo request'
}
})
};
fetch('https://app.nex.ai/api/developers/v1/lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.nex.ai/api/developers/v1/lists/{id}"
payload := strings.NewReader("{\n \"parent_id\": \"32417546405832961\",\n \"attributes\": {\n \"source\": \"website\",\n \"status\": \"new\",\n \"score\": 85,\n \"notes\": \"Qualified lead from demo request\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "32417546405832962",
"object_id": "32417546405832950",
"type": "person",
"workspace_id": "32417546405832945",
"created_at": "2024-01-20T16:45:00Z",
"updated_at": "2024-01-20T16:45:00Z",
"attributes": {
"name": {
"first_name": "Sarah",
"last_name": "Chen"
},
"email_addresses": [
"sarah@newstartup.com"
],
"job_title": "VP Engineering",
"source": "website",
"status": "new",
"score": 85,
"notes": "Qualified lead from demo request"
}
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Authorizations
API key for authentication (format: "Bearer YOUR_API_KEY")
Path Parameters
List ID
Body
application/json
List member upsert request
Last modified on March 26, 2026
⌘I